function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import { print } from 'graphql/language/printer';
import objToKey from './objToKey';
var cachedQueriesByClient = new WeakMap();
export function getCachedObservableQuery(client, query, options) {
  var queriesForClient = getCachedQueriesForClient(client);
  var cacheKey = getCacheKey(query, options);
  var observableQuery = queriesForClient.get(cacheKey);

  if (observableQuery == null) {
    observableQuery = client.watchQuery(_extends({
      query: query
    }, options));
    queriesForClient.set(cacheKey, observableQuery);
  }

  return observableQuery;
}
export function invalidateCachedObservableQuery(client, query, options) {
  var queriesForClient = getCachedQueriesForClient(client);
  var cacheKey = getCacheKey(query, options);
  queriesForClient.delete(cacheKey);
}

function getCachedQueriesForClient(client) {
  var queriesForClient = cachedQueriesByClient.get(client);

  if (queriesForClient == null) {
    queriesForClient = new Map();
    cachedQueriesByClient.set(client, queriesForClient);
  }

  return queriesForClient;
}

function getCacheKey(query, options) {
  return print(query) + "@@" + objToKey(options);
}