"use strict";

exports.__esModule = true;
exports.default = objToKey;

var _isPlainObject = _interopRequireDefault(require("lodash/isPlainObject"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function objToKey(obj) {
  if (!obj) {
    return null;
  }

  var keys = Object.keys(obj);
  keys.sort();
  var sortedObj = keys.reduce(function (result, key) {
    var value = obj[key];

    if ((0, _isPlainObject.default)(value)) {
      result[key] = objToKey(obj[key]);
    } else {
      result[key] = obj[key];
    }

    return result;
  }, {});
  return JSON.stringify(sortedObj);
}